![Sneedacity](https://i.ibb.co/ZcCxtsB/sneeddabphones.gif)
<p align="center">
<!--<a href="https://github.com/Sneeds-Feed-and-Seed/sneedacity/releases" alt="GitHub release"><img src="https://img.shields.io/github/release/Sneeds-feed-and-Seed/sneedacity.svg"></a>-->
<a href="https://github.com/Sneeds-Feed-and-Seed/sneedacity/actions" alt="Build Status"><img src="https://github.com/Sneeds-Feed-and-Seed/sneedacity/actions/workflows/cmake_build.yml/badge.svg?branch=master&event=push"></a>
<a href="https://web.libera.chat/#sneedacity" alt="Libera.chat channel"><img src="https://img.shields.io/badge/libera.chat-%23sneedacity-brightgreen.svg"></a>
<a href="xmpp:sneedacity@rooms.swurl.xyz" alt="XMPP room"><img src="https://img.shields.io/badge/xmpp-sneedacity%40rooms.swurl.xyz-brightgreen.svg"></a>
<a href="https://matrix.to/#/#sneedacitydev:poa.st" alt="Matrix room"><img src="https://img.shields.io/badge/matrix-%23sneedacitydev:poa.st-brightgreen.svg"></a>
</p>

---

**Sneedacity** (formerly Audacity) is an easy-to-use, multi-track audio editor and recorder for Windows, Mac OS X, GNU/Linux and other operating systems. Sneedacity aims to provide a telemetry-free experience while otherwise being up-to-date with Audacity's original codebase, with minor improvements being added as (s)needed by contributors and volunteers like you at large. Sneedacity is [free software](https://www.gnu.org/philosophy/free-sw.html) licensed under GPL, version 2.

- **Recording** from any real, or virtual audio device that is available to the host system.
- **Export / Import** a wide range of audio formats, extendible with FFmpeg.
- **High quality** using 32-bit float audio processing.
- **Plug-ins** Support for multiple audio plug-in formats, including VST, LV2, AU.
- **Macros** for chaining commands and batch processing.
- **Scripting** in Python, Perl, or any language that supports named pipes.
- **Nyquist** Very powerful built-in scripting language that may also be used to create plug-ins.
- **Editing** multi-track editing with sample accuracy and arbitrary sample rates.
- **Accessibility** for VI users.
- **Analysis and visualization** tools to analyze audio, or other signal data.

## Pre-built binaries

Binaries for the latest known to work build of Sneedacity are available [here](https://nightly.link/Sneeds-Feed-and-Seed/sneedacity/workflows/cmake_build/master) and from the [sneed arch repos](https://github.com/Sneeds-Feed-and-Seed/sneed-arch-repo).

## Mirrors

- https://gitlab.com/sneeds-feed-and-seed/sneedacity
- https://codeberg.org/Sneeds-Feed-and-Seed/sneedacity
- https://git.swurl.xyz/Sneeds-Feed-and-Seed/sneedacity
- https://git.vixfwis.dev/Sneeds-Feed-and-Seed/sneedacity
- http://git.swurlifbkce7rxysipldxvj7avd53gf55rb4gomjcsciz7byz5fjo6id.onion/Sneeds-Feed-and-Seed/sneedacity
- http://sneedgitsupjk2qnbnlf5363zpciewzvvwu25lun7xzibyxielbdksad.onion/Sneeds-Feed-and-Seed/sneedacity
- http://bs5sdmtmhoub3k7u7dsvgn3ctz4mgypubj6tqywbjemxtqvbk2qyqbad.onion/Sneeds-Feed-and-Seed/sneedacity

## Getting Started

Build instructions are available [here](BUILDING.md).

More information for developers is available from [4chan's technology board](https://boards.4channel.org/g/sneed).

## License

This project is licensed under the GNU General Public License v2 (PRAISE BE TO THE LIVING SAINT IGNUCIUS) and compatible licenses. More info in [LICENSE.txt](https://github.com/Sneeds-Feed-and-Seed/sneedacity/blob/master/LICENSE.txt)
